"{ Package: 'cvut:fel/cface' }"

"{ NameSpace: Cface }"

TypeMapping subclass:#GTKMapping
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Cface-Mappings'
!


!GTKMapping methodsFor:'filtering'!

shouldIgnoreStruct: cStructNode

    ^cStructNode cName endsWith: 'Class'.

    "Created: / 22-02-2009 / 22:15:19 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!GTKMapping methodsFor:'mapping - class names'!

smalltalkClassNameForDerivedType:cType 

    ((cType cName startsWith:'Gtk') or: [cType cName startsWith:'_Gtk'])
        ifTrue:[^cType cName copyFrom: 5].
    ((cType cName startsWith:'Gtk') or: [cType cName startsWith:'_Gtk'])
        ifTrue:[^cType cName copyFrom: 5].
    ^super smalltalkClassNameForDerivedType:cType

    "Created: / 22-02-2009 / 22:33:55 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!GTKMapping methodsFor:'mapping - namespaces'!

smalltalkNamespaceForDerivedType: cType

    ((cType cName startsWith:'Gtk') or: [cType cName startsWith:'_Gtk'])
        ifTrue:[^'GTK'].
    ((cType cName startsWith:'Gdk') or: [cType cName startsWith:'_Gdk'])
        ifTrue:[^'GdK'].
    ^super smalltalkNamespaceForDerivedType: cType

    "Created: / 22-02-2009 / 22:32:41 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!GTKMapping class methodsFor:'documentation'!

version
    ^'$Id$'
!

version_SVN
    ^ '$Id$'
! !
