"{ Package: 'cvut:fel/cface' }"

"{ NameSpace: Cface }"

TypeMapping subclass:#Libgit2Mapping
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Cface-Mappings'
!


!Libgit2Mapping methodsFor:'accessing'!

smalltalkNameForEnumValue:cEnumFieldType 
    |cairoName|

    cairoName := cEnumFieldType cName.
    (cairoName startsWith:'GIT_') ifTrue:[
        cairoName := cairoName copyFrom:5
    ].
    ^ cairoName asSymbol

    "
        Cface::CairoMapping new
            smalltalkNameForEnumValue:(Cface::CEnumValueNode new cName:'CAIRO_FONT_TYPE_TOY')

    "

    "Created: / 04-07-2008 / 11:32:01 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 04-09-2012 / 16:02:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

smalltalkNamespace

    ^#Smalltalk

    "Created: / 17-02-2008 / 20:51:26 / janfrog"
    "Modified: / 04-09-2012 / 16:01:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

smalltalkPackage

    ^#'stx:libgit'

    "Created: / 03-07-2008 / 21:14:47 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 04-09-2012 / 16:01:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Libgit2Mapping methodsFor:'mapping - categories'!

smalltalkCategoryForDerivedType:cType 

    ^'Git-C Types'

    "Created: / 05-09-2012 / 11:15:13 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Libgit2Mapping class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
